#include <iostream>

using namespace std;

int main()
{
    unsigned long long n,m;
    cin>>n>>m;

    if(n==1)
        cout<<m;
    else if(m==1)
        cout<<n;
    else
        {
            unsigned long long r=n*2+(m-2)*2+(n-2)*(m-2)/2;
            cout<<r;
        }

    return 0;
}